$() removes trailing newlines from the output

This commit is contained in:
vrd
2025-06-06 18:00:38 +03:00
parent 6da2d6bc0f
commit 010b8bc699
5 changed files with 34 additions and 21 deletions
+2 -2
View File
@@ -3,9 +3,9 @@ set -e
# Test cppipe functions
OKs=$(cppipe test/functions_test.cppipe 2>/dev/null | grep OK | wc -l)
if ! [ $OKs = 12 ]
if ! [ $OKs = 13 ]
then
echo "Functions test failed: EXPECTED 12 OKs, got $OKs"
echo "Functions test failed: EXPECTED 13 OKs, got $OKs"
exit 1
fi
echo Functions test OK!